scala.tools.nsc.typechecker.ContextErrors.InferencerContextErrors

# InferErrorGen

#### object InferErrorGen

Linear Supertypes
AnyRef, Any
Ordering

1. Alphabetic
2. By inheritance

Inherited

1. InferErrorGen
2. AnyRef
3. Any

1. Hide All
2. Show all

Learn more about member selection
Visibility

1. Public
2. All

### Value Members

1. #### final def !=(arg0: AnyRef): Boolean

   Definition Classes
     AnyRef

2. #### final def !=(arg0: Any): Boolean

   Definition Classes
     Any

3. #### final def ##(): Int

   Definition Classes
     AnyRef → Any

4. #### final def ==(arg0: AnyRef): Boolean

   Definition Classes
     AnyRef

5. #### final def ==(arg0: Any): Boolean

   Definition Classes
     Any

6. #### def AccessError(tree: Global.Tree, sym: Global.Symbol, pre: Global.Type, owner0: Global.Symbol, explanation: String): Analyzer.NormalTypeError

7. #### def AmbiguousExprAlternativeError(tree: Global.Tree, pre: Global.Type, best: Global.Symbol, firstCompeting: Global.Symbol, pt: Global.Type, lastTry: Boolean): Any

8. #### def AmbiguousMethodAlternativeError(tree: Global.Tree, pre: Global.Type, best: Global.Symbol, firstCompeting: Global.Symbol, argtpes: List[Global.Type], pt: Global.Type, lastTry: Boolean): Any

9. #### def ConstrInstantiationError(tree: Global.Tree, restpe: Global.Type, pt: Global.Type): Global.Tree

10. #### def IncompatibleScrutineeTypeError(tree: Global.Tree, pattp: Global.Type, pt: Global.Type): Unit

11. #### def KindBoundErrors(tree: Global.Tree, prefix: String, targs: List[Global.Type], tparams: List[Global.Symbol], kindErrors: List[String]): Unit

12. #### def NoBestExprAlternativeError(tree: Global.Tree, pt: Global.Type, lastTry: Boolean): Any

13. #### def NoBestMethodAlternativeError(tree: Global.Tree, argtpes: List[Global.Type], pt: Global.Type, lastTry: Boolean): Any

14. #### def NoConstructorInstanceError(tree: Global.Tree, restpe: Global.Type, pt: Global.Type, msg: String): Global.Tree

15. #### def NoMethodInstanceError(fn: Global.Tree, args: List[Global.Tree], msg: String): Unit

16. #### def NotWithinBounds(tree: Global.Tree, prefix: String, targs: List[Global.Type], tparams: List[Global.Symbol], kindErrors: List[String]): Unit

17. #### def PatternTypeIncompatibleWithPtError1(tree: Global.Tree, pattp: Global.Type, pt: Global.Type): Unit

18. #### def PatternTypeIncompatibleWithPtError2(pat: Global.Tree, pt1: Global.Type, pt: Global.Type): Unit

19. #### def PolyAlternativeError(tree: Global.Tree, argtypes: List[Global.Type], sym: Global.Symbol, err: ErrorType): Unit

20. #### object PolyAlternativeErrorKind extends Enumeration

21. #### def PolymorphicExpressionInstantiationError(tree: Global.Tree, undetparams: List[Global.Symbol], pt: Global.Type): Unit

22. #### def TypePatternOrIsInstanceTestError(tree: Global.Tree, tp: Global.Type): Unit

23. #### final def asInstanceOf[T0]: T0

    Definition Classes
      Any

24. #### def clone(): AnyRef

    Attributes
      protected[java.lang]
    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

25. #### implicit val contextInferErrorGen: Analyzer.Context

26. #### final def eq(arg0: AnyRef): Boolean

    Definition Classes
      AnyRef

27. #### def equals(arg0: Any): Boolean

    Definition Classes
      AnyRef → Any

28. #### def finalize(): Unit

    Attributes
      protected[java.lang]
    Definition Classes
      AnyRef
    Annotations
      @throws( classOf[java.lang.Throwable] )

29. #### final def getClass(): Class[_]

    Definition Classes
      AnyRef → Any

30. #### def hashCode(): Int

    Definition Classes
      AnyRef → Any

31. #### final def isInstanceOf[T0]: Boolean

    Definition Classes
      Any

32. #### final def ne(arg0: AnyRef): Boolean

    Definition Classes
      AnyRef

33. #### final def notify(): Unit

    Definition Classes
      AnyRef

34. #### final def notifyAll(): Unit

    Definition Classes
      AnyRef

35. #### final def synchronized[T0](arg0: ⇒ T0): T0

    Definition Classes
      AnyRef

36. #### def toString(): String

    Definition Classes
      AnyRef → Any

37. #### final def wait(): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

38. #### final def wait(arg0: Long, arg1: Int): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

39. #### final def wait(arg0: Long): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

### Inherited from AnyRef

### Inherited from Any

### Ungrouped